import os
import time
from selenium import webdriver
from selenium.webdriver.chrome.options import Options
from selenium.webdriver.chrome.service import Service


def Browser(browser='Chrome', driver=None, binary=None, home=None):
    class WebdriverBrowser(getattr(webdriver, browser), webdriver.Firefox):
        def __init__(self, driver, binary):
            if driver:
                service = Service()
                service.path = driver
            else:
                service = None
            if binary:
                options = Options()
                options.binary_location = binary
            else:
                options = None
            super().__init__(service=service, options=options)

        @staticmethod
        def wait(sec):
            time.sleep(sec)

        def turn(self, url):
            return self.get(url)

        def minimize(self):
            return self.minimize_window()

        def maximize(self):
            return self.maximize_window()

        def fullscreen(self):
            return self.fullscreen_window()

    browser = WebdriverBrowser(driver=driver, binary=binary)
    browser.maximize()
    browser.implicitly_wait(10)
    home and browser.turn(home)
    return browser
