from TestWebUI.Pom import *
from TestWebUI.Pom.Home import Home
from TestWebUI.Pom.Signin import Signin


class MultPageObject(Home, Signin):
    pass


@ddt.ddt(testNameFormat=ddt.TestNameFormat.INDEX_ONLY)
class TestLogin(unittest.TestCase):
    """
    登录模块
    """
    def setUp(self):
        self.po = MultPageObject(home=Config.site_root)

    def tearDown(self):
        self.po.driver.quit()

    @ddt.data(*csv.reader(open('D:/Project/AutoFramework/TestWebUI/Data/account_of_signin.csv')))
    def test_0001_signin_normal(self, argments):
        """
        测试正常登录
        """
        self.po.goto_signin()
        self.po.driver.input(self.po.ele_user(), argments[0])
        self.po.driver.input(self.po.ele_pass(), argments[1])
        self.po.driver.click(self.po.ele_remember())
        self.po.driver.click(self.po.ele_submit())
        log.d('登录按钮已经点击')
        try:
            self.assertIn('管理后台', self.po.driver.page_source, msg='登录后台失败')
        except AssertionError:
            self.po.driver.screenshot_for_report()
            raise


if __name__ == '__main__':
    unittest.main()
